MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024708Open CASCADE[OCCT] OCCT:Codingpublic2014-03-11 14:302014-11-11 12:51
Reporterdln 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024708: Convertation of the generic classes to the non-generic. Part 2
Description1) Generic classes from "AppParCurves" package:
    "AppDef_SmoothCriterion", "AppDef_LinearCriteria" and "AppDef_Variational" moved to the corresponding non-generic classes "AppDef_SmoothCriterion", "AppDef_LinearCriteria" and "AppDef_Variational" to "AppDef" package. Also several "*.cxx" files of "AppDef_Variational" class merged to one ".cxx".

2) Generic class from "IntImp" package:
    "IntImp_ZerCOnSSParFunc" moved to the corresponding non-generic class "IntPatch_CSFunction" to "IntPatch" package.

Next unused generic classes were removed:

- IntCurveSurface_SurfaceTool
- Intf_InterferencePolygon3d

And some other minor changes were done for correct building of the OCCT.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028193)
dln (developer)
2014-03-11 14:35

Changes are ready for review in CR24708 branch.
(0028208)
abv (manager)
2014-03-12 09:20

Cyclic dependency between AppDef and AppParCurves

In general, then converting generic classes to non-generic, the correct approach should be to create real class in the package and under the name of instantiation, not the generic.
(0028238)
dln (developer)
2014-03-12 17:45

Branch CR24708 was updated. See "Description"
(0028275)
abv (manager)
2014-03-14 11:05

Some remarks:

- I suggest to revert changed in Dynamic / Materials: these packages still use generics heavily, and this change does not help much; on the other side, it is not clear whether we need these packages at all

- implementation of class AppDef_Variational should be corrected to avoid #including CXX files: either make them independent source files (adding in FILES), or merge in one
(0028280)
dln (developer)
2014-03-14 13:08

Corrected. (CR24708 branch)
(0028290)
abv (manager)
2014-03-14 17:02

Igor, please have a look. I have no more remarks.
(0028669)
ifv (developer)
2014-04-04 09:13

Ok
(0028691)
mkv (tester)
2014-04-04 17:26

Dear dln,
could you please rebase branch CR24708, there are conflict files.
(0028744)
dln (developer)
2014-04-08 17:40

Dear mkv,

branch CR24708 is rebased.
(0028786)
apn (administrator)
2014-04-10 18:18

Dear BugMaster,

Branch CR24708 (and products from GIT master) was compiled on MacOS, Linux and Windows platforms and tested.
SHA-1: 9e87d6a835ab3f62926387c6334df2dde4f05da3

Number of compiler warnings:

occt component :
Linux: 21 (21 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 350521328 / 352026040
Total CPU difference: 51077.71999999992 / 50789.29000000014

Testing on Windows:
Total MEMORY difference: 381239900 / 381244252
Total CPU difference: 34013.453125 / 36679.046875

There are no differences in images found by testdiff.

- Related Changesets
occt: master f62de372
Timestamp: 2014-03-05 14:22:43
Author: abv
Committer: abv
Details ] Diff ]
0024708: Convertation of the generic classes to the non-generic. Part 2

Generic classes from "AppParCurves" package:
    "AppDef_SmoothCriterion", "AppDef_LinearCriteria" and "AppDef_Variational" moved to the corresponding non-generic classes "AppDef_SmoothCriterion", "AppDef_LinearCriteria" and "AppDef_Variational" to "AppDef" package. Also several "*.cxx" files of "AppDef_Variational" class merged to one ".cxx".
Generic class from "IntImp" package:
    "IntImp_ZerCOnSSParFunc" moved to the corresponding non-generic class "IntPatch_CSFunction" to "IntPatch" package.
Next unused generic classes were removed:

- IntCurveSurface_SurfaceTool
- Intf_InterferencePolygon3d
And some other minor changes.
mod - src/AppBlend/AppBlend_AppSurf.gxx Diff ] File ]
mod - src/AppDef/AppDef.cdl Diff ] File ]
add - src/AppDef/AppDef_Variational.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves.cdl Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_1.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_2.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_3.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_4.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_5.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_6.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_7.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_8.gxx Diff ] File ]
rm - src/AppParCurves/AppParCurves_Variational_9.gxx Diff ] File ]
rm - src/AppParCurves/FILES Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_PointsToBSpline.cxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_PointsToBSplineSurface.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_ConstraintCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ApproxCommands.cxx Diff ] File ]
rm - src/IntCurveSurface/FILES Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface.cdl Diff ] File ]
rm - src/IntCurveSurface/IntCurveSurface_SurfaceTool.cdl Diff ] File ]
rm - src/IntCurveSurface/IntCurveSurface_SurfaceTool.gxx Diff ] File ]
rm - src/IntCurveSurface/IntCurveSurface_SurfaceTool.lxx Diff ] File ]
mod - src/Intf/Intf.cdl Diff ] File ]
rm - src/Intf/Intf_InterferencePolygon3d.cdl Diff ] File ]
rm - src/Intf/Intf_InterferencePolygon3d.gxx Diff ] File ]
mod - src/IntImp/IntImp.cdl Diff ] File ]
mod - src/IntPatch/IntPatch.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-11 14:30 dln New Issue
2014-03-11 14:30 dln Assigned To => abv
2014-03-11 14:35 dln Note Added: 0028193
2014-03-11 14:35 dln Status new => resolved
2014-03-12 09:20 abv Note Added: 0028208
2014-03-12 09:20 abv Assigned To abv => dln
2014-03-12 09:20 abv Status resolved => assigned
2014-03-12 17:43 dln Description Updated View Revisions
2014-03-12 17:43 dln Description Updated View Revisions
2014-03-12 17:45 dln Note Added: 0028238
2014-03-12 17:45 dln Assigned To dln => abv
2014-03-12 17:45 dln Status assigned => resolved
2014-03-13 15:59 dln Description Updated View Revisions
2014-03-13 16:05 dln Description Updated View Revisions
2014-03-14 11:05 abv Note Added: 0028275
2014-03-14 11:05 abv Assigned To abv => dln
2014-03-14 11:05 abv Status resolved => assigned
2014-03-14 13:08 dln Note Added: 0028280
2014-03-14 13:08 dln Assigned To dln => abv
2014-03-14 13:08 dln Status assigned => resolved
2014-03-14 13:08 dln Description Updated View Revisions
2014-03-14 17:02 abv Assigned To abv => ifv
2014-03-14 17:02 abv Note Added: 0028290
2014-04-04 09:13 ifv Note Added: 0028669
2014-04-04 09:13 ifv Status resolved => reviewed
2014-04-04 16:26 abv Target Version 6.7.1 => 6.8.0
2014-04-04 17:26 mkv Note Added: 0028691
2014-04-04 17:27 mkv Assigned To ifv => dln
2014-04-04 17:27 mkv Status reviewed => feedback
2014-04-08 17:40 dln Note Added: 0028744
2014-04-08 17:43 dln Status feedback => resolved
2014-04-08 17:43 dln Assigned To dln => mkv
2014-04-08 17:43 dln Status resolved => reviewed
2014-04-09 13:43 apn Assigned To mkv => apn
2014-04-10 14:55 kgv Relationship added child of 0024487
2014-04-10 18:18 apn Note Added: 0028786
2014-04-10 18:18 apn Test case number => Not needed
2014-04-10 18:18 apn Assigned To apn => bugmaster
2014-04-10 18:18 apn Status reviewed => tested
2014-04-11 14:43 abv Changeset attached => occt master f62de372
2014-04-11 14:43 abv Assigned To bugmaster => abv
2014-04-11 14:43 abv Status tested => verified
2014-04-11 14:43 abv Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker